# SpreadsheetService.Versions (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.spreadsheet
Class SpreadsheetService.Versions

    java.lang.Object
      com.google.gdata.client.spreadsheet.SpreadsheetService.Versions

Enclosing class:
  SpreadsheetService

    public static final class SpreadsheetService.Versions

extends java.lang.Object

GData versions supported by Google Spreadsheets Service.

Field Summary
`static Version` `V1` Version 1 of the Spreadsheet Google Data API.
`static Version` `V2` Version 2 of the Spreadsheet Google Data API.
`static Version` `V3` Version 3 of the Spreadsheet Google Data API.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1 of the Spreadsheet Google Data API. This is the initial version of the API and is based upon Version 1 of the GData Protocol.

### V2

    public static final Version V2

  Version 2 of the Spreadsheet Google Data API. This version of the API adds full compliance with the Atom Publishing Protocol and is based upon Version 2 of the GData protocol.

### V3

    public static final Version V3

  Version 3 of the Spreadsheet Google Data API. This adds a new Table Feed and deprecates the old feeds.